%global srcname cu2qu

Name:           python-%{srcname}
Version:        1.5.0
Release:        9%{?dist}
Summary:        Cubic-to-quadratic bezier curve conversion

License:        ASL 2.0
URL:            https://pypi.org/project/%{srcname}
Source0:        https://github.com/googlei18n/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This library provides functions which take in UFO (Unified Font Object) objects
(Defcon Fonts or Robofab RFonts) and converts any cubic curves to quadratic.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-defcon
BuildRequires:  python3-fonttools
BuildRequires:  python3-ufolib
Requires: python3-fonttools
Requires: python3-ufolib

%description -n python3-%{srcname}
This library provides functions which take in UFO (Unified Font Object) objects
(Defcon Fonts or Robofab RFonts) and converts any cubic curves to quadratic.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst CONTRIBUTING.md
%dir %{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/*.py
%{python3_sitelib}/%{srcname}/__pycache__
%{_bindir}/%{srcname}

%changelog
* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.5.0-9
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.5.0-8
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 17 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.0-5
- Subpackage python2-cu2qu has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.5.0-3
- Rebuilt for Python 3.7

* Wed Apr 11 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 1.5.0-2
- Ship cu2qu binary

* Wed Apr 11 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 1.5.0-1
- Update version

* Wed Feb 21 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 1.4.0-3
- Remove test file from package

* Wed Feb 21 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 1.4.0-2
- Add python-defcon to BRs

* Wed Feb 21 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 1.4.0-1
- Update version

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 24 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 1.2.0-1
- Update version

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Mar 19 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 1.1.1-1
- Initial package
